module AR
  module Game

    class Bacon < Item
      def initialize id=nil
        super 
        self.noun = "piece of bacon"
        add_behavior AR::Game::Consumable
        self.on_consumed  = Proc.new do |consumer|
          g = consumer.gauge("hunger")
          am = -50
          AR::Events::GaugeChanged.new gauge: g, which: "current", gauge_owner: consumer, amount: am
        end
      end
    end

  end
end
